Mis Dudas Sobre Empaquetadores Linuxeros

por | 19 Enero, 2009

Hola, hace dos sábados me compré un portátil (léase laptop para los geeks), todo feliz iba a escribir en el blog sobre mi nueva maquinita bajo Ubuntu Intrepid pero surgieron muchos problemas para poder instalarlo, demasiados. Llevo dos semanas probando diferentes distribuciones linuxeras que funcionen en mi Asus pero todas vienen con sus paquetes oficiales del kernel con algún que otro fallo garrafal, esto ha hecho que el artículo sobre lo feliz de mi portátil lo haya aparcado definitivamente en la sección de borradores de mi blog, me quitaron las ganas.

Principalmente tengo dos problemas,  mi modem y la no detección de mi batería. Primero empecé instalando Ubuntu Hardy porque Intrepid no puedo instalarlo de forma directa debido a un fallo garrafal que cometieron los debianizadores del kernel de Intrepid. Instalé Hardy y resulta que no me detectaba la tarjeta de sonido, cosa que no me servía para nada debido al propósito por el que me compré el portátil.

Así pues actualicé desde Hardy a Intrepid, ya me detectaba la tarjeta de sonido y el modem, eso sí, previa añadidura de los repositorios “Proposed” para solventar el bug que hay en Intrepid sobre mi modem. Así que yo creyendo que todo guay, pero he aquí que de repente me doy cuenta que no me detecta la batería y no me deja apagar el ordenador, a no ser que reinicie y lo apague desde Windows Vista. Quiero recalcar que este problema NO ESTABA en Hardy.

Intenté resolver el problema con ayuda de  amigos foreros guadalinuxeros, pero no hubo forma. Incluso instalé el kernel de la nueva Jackalope (o como putas hostias se llame), y el problema seguía ahí.

Desesperado ya probé con Mandriva 2009.0 y ese problema de la batería no existía, pero desgraciadamente sí existía el problema del modem y sin solución todavía. Bueno pues probemos con la nueva OpenSuse 11.1, y aquí el problema de la batería sí existe, y además no me detecta bien los drivers de la nVidia porque el programa que tienen Sax2 es realmente una chapuza, tampoco me detecta bien el teclado. Me deja escribir pero las teclas especiales las tengo como decorativas.

Si se reflexiona un poco sobre mi problema con la detección de la batería podemos preguntarnos:

¿Cómo puede ser que en Hardy la detecte y en Intrepid no?

¿Cómo puede ser que con los kernels 2.6.24 la detecte y con los kernels 2.6.27 no la detecte, que son los que llevan Intrepid, Jaunty y OpenSuse 11.1?

Bien, goggleando llegué a un sitio en el que encontré una posible explicación al bug, parece ser que se trata de una mala lectura en determinadas direcciones de memoria de la BIOS o de los procesadores.  Lo cierto es que de ello informé en Launchpad de Ubuntu, y muy amablemente me agradecieron de informar pero sinceramente que me joda.

Me pregunto quienes son los empaquetadores oficiales de las principales distribuciones linuxeras, de si tienen los suficientes conocimientos para estar en estos puestos. Y sobretodo si tienen la suficiente edad como para ser responsables ante tales puestos. No puede ser que antes no se de el fallo y luego de repente se de el fallo más adelante y se haga muy poco por arreglarlo.

El fallo de la batería es un fallo muy serio, que puede dañar los portátiles, que se ha pasado olímpicamente de arreglarlo porque no les ha dado la gana, así de claro, y me da igual las críticas que me lluevan. A mi nadie me paga todas las horas que le he echado para buscar la solución a un problema del cual los únicos responsables son los empaquetadores de estas distros. Estaría muy bien que los principales jefes de las principales distribuciones linuxeras creasen un filtro serio en este sentido.

En fin, es mi forma de pensar, loka, libre, independiente y que no le chupa el rabo a nadie.

Saludos :-h

19 pensamientos en “Mis Dudas Sobre Empaquetadores Linuxeros

  1. espartaco

    Lo siento Cristobal. ¿No te animas a probar una debian pura?, por ejemplo la testing.

    Un saludo.

  2. sanatas

    Como te comenta espartaco prueba debian, bajate sidux para probarla en modo live a ver que tal te funciona, si no te funciona siempre puedes probar con la rama estable.

  3. Fulano X

    No hay unas distros basadas en Ubuntu especializadas en las Asus? Yo se que la Acer tiene

  4. Black Hole

    La verdad es que yo también estoy bastante harto de lo chapuceros que pueden ser todos los montadores de distros, porque no puede ser que las saquen con errores conocidos y encima, errores tan graves.

    Ya son años usando linux, y mira que nunca he estado totalmente a gusto con ninguna de ellas ¬¬

  5. protion9

    Yo no se que pasa con los drivers. Unas veces van bien, a la siguiente distribución va mal. Quieren correr mucho añadiendo nuevas funcionalidades y el último efecto en compiz y dejan el hardware en bragas. Supongo que es más aburrido meter mano a unos drivers que hacer el septuagésimo mejor reproductor de música de GNU/Linux.

    Yo ya he acabado por ser pragmático: cuando esten listos los drivers RadeonHD y funcione como dios manda la sincronización vertical (llevo un año con el puñetero problema. No hay solución de momento…), entonces me vuelvo al pingüino.

  6. protion9

    Yo estoy esperando a Parsix 2.0 Una distribución basada en Debian. Se supone que es para el público persa, pero hablan maravillas de ella en la red.

    ¿Y Guadalinex v5? ¿No lo has intentado?

  7. Diegstroyer

    Has probado con el CD alternate? En los que inicialmente no entra lo he conseguido así

    Saludos.

  8. Cristobal

    UUuffff… no creo que pruebe Arch Linux, demasiada faena para instalar, necesito algo rápido y eficiente.
    Protion9 sí probé GV5, no me detectó la tarjeta de sonido.
    @Sanatas->Tengo Sidux bajado, no me mola que venga con KDE, igual me animo.
    Estoy hasta el moño de instalar/desinstalar sistemas operativos que no funcionan por culpa de unos incompetentes.
    Estas cosas me ponen negro, máxime cuando a mi ni siquiera me dan la oportunidad de tener un trabajo al ver en mi curriculum que soy discapacitado, ¡más que negro me ponen estas cosas!
    Quisiera deciros que la posible solución a lo de la batería lo leí en un foro especializado de DEBIAN, que tenía el fallo. Esto me hace pensar que DEBIAN empaqueta y las demás distros lo toman prestado y lo ubuntizan o convierten a rpm y poco más, por lo menos esa es la sensación que se me esta quedando :-S

  9. espartaco

    ¿Te has planteado una “distro” de 64 bit? Las limitaciones de los plugins flash y java ya están superadas.

    Un saludo y animo.

  10. gnumax

    Lamentablemente los desarrolladores del kernel van por un lado y los desarrolladores de drivers para las distintas distribuciones por otro, no hay cohesión y eso provoca que el mismo dispositivo en una versión funcione y en una posterior, tras una mejora en el kernel, deje de funcionar.

    Esto demuestra que sigue siendo vital la personalización del kernel en función de la máquina que tenemos.

    Yo he pasado por situaciones muy parecidas con un Acer Aspire 5051 AWXMi, que para apagarlo he tenido que retirar la batería y desconectarlo de la red eléctrica porque deja de responder el apagado y el teclado completo del portátil.

    Saludos

  11. Cristobal

    Bueno todas mis sospechas acertadas, Sidux, basada en Debian Sid con kernel 2.6.27 también arrastra el error de la batería.
    Así pues es claro que casi todas las demás distros no compilan los kernels a conciencia, sólo los toman de distros madre como Debian y las edulcoran, es lo que tiene el tener empaquetadores de dudosa calidad.
    Y mientras ya llevo 4 reinstalaciones de windows y 5 distros linuxeras instaladas y todas fallidas, con una pérdida considerable de mi tiempo sólo porque se ha decidido tomar una política del todo vale, la simplicidad y esconder la poca profesionbalidad tras una falsa compartición gratuita (que no necesariamente libre) con los usuarios potenciales.
    De momento mi Asus se queda sólo con windows por culpa de la mala política linuxera que impera en la actualidad, a mi nadie me paga nada de mis horas perdidas por la poca profesionalidad de otros.

  12. consumer2k8

    Bueno, es asi, obtienes aquello por lo que pagas.
    Eso sin olvidar que a algunos les pagan (Ubuntu,Suse).
    Yo he tenido quebraderos similares con hardware compaq y la verdad que las cosas no han cambiado en 3 años.

  13. protion9

    Y lo que mola probar cosas nuevas =))

    En serio Cristobal, manda a tomar por culo el puto Speedtouch, es un maldito engendro que te esta capando multitud de opciones.

    Hoy he instalado Mandriva 2009 con KDE4 y es una perita en dulce, pero falla más que una escopeta de feria. Plasma revienta de vez en cuando y Amarok cada dos canciones muere. Una lástima, porque me encanta el rollo que se trae Mandriva. Todo sea probar la versión Gnome…

    Con tanta masificación de distribuciones al final lo mejor es volver a las clásicas. Como decía una vez en los foros de Guadalinex: en 6 meses es imposible hacer un buen trabajo con tantos miles de paquetes.

  14. DiZo

    Comprendo que haya tanta crítica con respecto al tema del soporte ACPI, Baterías, y un largo etc, pero como tenéis y debéis entender, cualquier driver no propietario que se escriba para Linux, suelen empezar desde cero a programarlos, es muy común encontrar MUY, y lo recalco en negrita, realmente muy complicado encontrar soporte para un portátil que puede llevar apenas unos meses en el mercado, ya me ocurrió a mi en su día con Debian en mi Pentium 4, sería por el año 2000 o 2001, y cada vez que salía un nuevo Kernel, andaba compilándolos con la esperanza de que algún día tuviese soporte alguno de los componentes de mi placa base, esto no ocurrió hasta pasados unos 2 años, cuando empezaron a salir algunos módulos o parches que lo iban solventando.

    Aunque a día de hoy eso ya no ocurre como antaño, ya que la comunidad de usuarios de Linux ha aumentado mucho, quiero decirte que no desesperes, y que dentro de un mes vuelvas a probar o buscar soluciones para instalar una distribución en tu portátil, y a unas malas puedes ir mirando la lista de cambios de los nuevos kernels para compilarlos en tu máquina y echar a andar perfectamente tu portátil.

    Saludos !

  15. kawalero

    Como tengo vagueza de escribir mucho te menciono las opiniones que me parecen más acertadas (habiendo visto el problema de primera mano):
    Por protion9:
    1.”En serio Cristobal, manda a tomar por culo el puto Speedtouch, es un maldito engendro que te esta capando multitud de opciones.”
    – Mas que nada porque algún dia de estos lo tiraras por la ventana, y aunque resulevas el problema podrías darle a alguien en la cabeza.

    Por DiZo:
    2.”Comprendo … … Saludos !”
    – Como dice el refrán, la paciencia es la madre de todas las ciencias.

    Por mi:
    El portátil es “mu” chulo pero estos problemas que te puede dar un portátil recien salido del horno eran más que previsibles. Vale la pena informarse de antemano de que modelos no te daran problemas. Au revoire.

  16. Cristobal

    Lo que esta claro es que si alguien no hubiese metido la gamba en el nuevo kernel detectando la batería ahora tendría el portátil con Linux, ya que el problema no existía en antiguas versiones del kernel. Así que por mucho que me informe quedo igual si luego va y alguien mete la gamba hasta el fondo.
    Lo del modem speedtouch sólo es problema en Mandriva 2009.0, en las demás no hay problema por ahora. Ya sé, que me compre un router, cuando tenga pasta

  17. volante

    tobal, que kernel tienes en mandriva para que detecte la batería?

    Este mismo problema lo he tenido yo con un asus, en intrepid recien instalado (2.6.24) todo bien, en cuanto actualizo el kernel e inicio con el (2.6.27) se jode la batería, y aún más grave todo el tema de apagado, suspensión, hibernación…, vamos lo mismo que en el tuyo.

    Vamos, que según he leído es un problema con el kernel, no con los empaquetadores, y que parecía que ya habían solucionado en el 2.6.30, así que me puse a compilarlo, y listo, todo perfecto.
    PD: compilar un kernel no es díficil (usé esta receta que es bien corta http://gary.esdebian.org/31678/compilar-kernel-2629-no-morir-intento), eso sí, las dos horas que se tira el portatil compilando no te las quita nadie

  18. Cristobal

    Volante, ahora mismo tengo el portátil con la Mandriva 2009.1 y kernel 2.6.29, todo ok.
    Decirte que en en el 2.6.27 se publicó un parche para los empaquetadores, pero TODOS pasaron de aplicarlo y hacer una actualización, incluso DEBIAN.
    Como empaquetar kernels me parece algo arriesgado y arduo prefiero que lo hagan los empaquetadores oficiales. Aunque igual me animo y lo hago en Jaunty para pasar a la 2.30, porque Jaunty tiene problemas de chupadora de memoria con el gestor de actualizaciones.
    Gracias por el enlace

Los comentarios están cerrados.